org.apache.tools.ant.types

## Interface Parameterizable

All Known Subinterfaces:
  ExtendFileSelector

All Known Implementing Classes:
  BaseExtendSelector, BaseParamFilterReader, ConcatFilter, ContainsRegexpSelector, ContainsSelector, DateSelector, DepthSelector, EscapeUnicode, FilenameSelector, FixCrLfFilter, HeadFilter, LineContains, LineContainsRegExp, ModifiedSelector, PrefixLines, ReplaceTokens, SizeSelector, SortFilter, StripLineBreaks, StripLineComments, SuffixLines, TabsToSpaces, TailFilter, TypeSelector

    public interface Parameterizable

Parameterizable objects take generic key value pairs.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `setParameters(Parameter[] parameters)` Set the parameters

### Method Detail

#### setParameters

    void setParameters(Parameter[] parameters)

Set the parameters

Parameters:
  `parameters` - an array of name/type/value parameters.